Page MenuHomePhabricator

Uncaught TypeError: Cannot read property 'warnings' of undefined
Closed, ResolvedPublic

Description

Error counts since 20160719:

37	TypeError: result.upload is undefined
26	Uncaught TypeError: Cannot read property 'warnings' of undefined
18	TypeError: undefined is not an object (evaluating 'result.upload.warnings')

Event Timeline

matmarex created this task.Aug 17 2016, 2:56 PM
Restricted Application added a project: Multimedia. · View Herald TranscriptAug 17 2016, 2:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

I ran into this when working on unrelated things. It happens when an async upload assembling fails, when UW tried to display the error.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptAug 17 2016, 3:01 PM

Change 305272 had a related patch set uploaded (by Bartosz Dziewoński):
mw.ApiUploadFormDataHandler: Unbreak error handling for async uploads

https://gerrit.wikimedia.org/r/305272

matmarex triaged this task as High priority.Aug 18 2016, 5:14 PM

Change 305272 merged by jenkins-bot:
mw.FormDataTransport: Unbreak error handling for async uploads

https://gerrit.wikimedia.org/r/305272

matmarex closed this task as Resolved.Aug 22 2016, 4:43 PM
matmarex removed a project: Patch-For-Review.